<?php

/**
* Clase Bean para Mercado
*
* @package Prj
* @subpackage MercadoBean
* @author Willy
* @version SVN: : MercadoBean.class.php,v 1.1 2009/05/24 13:14:13 william.taype Exp $
*/
class MercadoBean{

  protected $IdMercado;
  protected $Descripcion;
  protected $Direccion;
  protected $Telefono; 
  protected $Estado;
  protected $Eliminado;
  protected $UsuarioCreacion;
  protected $FechaCreacion;
  protected $UsuarioModificacion;
  protected $FechaModificacion;
  protected $FechaEliminado;
  protected $UsuarioEliminado;
  protected $ArrayMerColaborador;
  protected $IdMercadoAsignado;
  protected $IdMercados;

  protected $Mensaje;
  protected $Error;

  public function getIdMercado(){
    return $this->IdMercado;
  }
  public function setIdMercado($v){
    $this->IdMercado = $v;
  }
  
  public function getIdMercadoAsignado(){
    return $this->IdMercadoAsignado;
  }
  public function setIdMercadoAsignado($v){
    $this->IdMercadoAsignado = $v;
  }
  
   public function getIdMercados(){
    return $this->IdMercados;
  }
  public function setIdMercados($v){
    $this->IdMercados = $v;
  }

  public function getDescripcion(){
    return $this->Descripcion;
  }
  public function setDescripcion($v){
    $this->Descripcion = $v;
  }

  public function getDireccion(){
    return $this->Direccion;
  }
  public function setDireccion($v){
    $this->Direccion = $v;
  }
  
   public function getTelefono(){
    return $this->Telefono;
  }
  public function setTelefono($v){
    $this->Telefono = $v;
  }
  
  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v){
    $this->Estado = $v;
  }
  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v){
    $this->Eliminado = $v;
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v){
    $this->UsuarioCreacion = $v;
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v){
    $this->FechaCreacion = $v;
  }

  public function getUsuarioModificacion(){
    return $this->UsuarioModificacion;
  }
  public function setUsuarioModificacion($v){
    $this->UsuarioModificacion = $v;
  }

  public function getFechaModificacion(){
    return $this->FechaModificacion;
  }
  public function setFechaModificacion($v){
    $this->FechaModificacion = $v;
  }
   public function getFechaEliminado(){
    return $this->FechaEliminado;
  }
  public function setFechaEliminado($v){
    $this->FechaEliminado = $v;
  }  
  public function getUsuarioEliminado(){
    return $this->UsuarioEliminado;
  }
  public function setUsuarioEliminado($v){
    $this->UsuarioEliminado = $v;
  }
  public function getArrayMerColaborador(){
    return $this->ArrayMerColaborador;
  }
  public function setArrayMerColaborador($v){
     $this->ArrayMerColaborador=$v;
  }
   
  public function getArrayMerColaboradorAct(){
    return $this->ArrayMerColaboradorAct;
  }
  public function setArrayMerColaboradorAct($v){
     $this->ArrayMerColaboradorAct = $v;
  }
  
  public function getFlagPermitirPrestamo(){
    return $this->flagPermitirPrestamo;
  }
  public function setFlagPermitirPrestamo($v){
     $this->flagPermitirPrestamo=$v;
  }
  
  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

}